Bug 234131 - cad/calculix: Update to 2.15
Summary: cad/calculix: Update to 2.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pedro F. Giffuni
URL:
Keywords: needs-qa, patch
Depends on: 234146
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-18 12:04 UTC by kunda
Modified: 2019-04-19 17:18 UTC (History)
1 user (show)

See Also:
pfg: maintainer-feedback+


Attachments
Update Calculix to 2.5 (9.86 KB, patch)
2018-12-19 00:06 UTC, Pedro F. Giffuni
pfg: maintainer-approval+
Details | Diff
Update Calculix to 2.15 (8.87 KB, patch)
2018-12-19 00:11 UTC, Pedro F. Giffuni
no flags Details | Diff
Update Calculix to 2.15 (8.67 KB, patch)
2019-04-19 17:05 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kunda 2018-12-18 12:04:44 UTC
2.15 was just released
http://www.dhondt.de/new_calc.htm


Unrelated:
There is a remaining open ticket #229931
Comment 1 Pedro F. Giffuni freebsd_committer 2018-12-18 14:50:40 UTC
Why does this PR request maintainer feedback if there is no patch?

(I am working on it)
Comment 2 Pedro F. Giffuni freebsd_committer 2018-12-19 00:06:14 UTC
Created attachment 200245 [details]
Update Calculix to 2.5

This should do it.
Comment 3 Pedro F. Giffuni freebsd_committer 2018-12-19 00:08:10 UTC
Add a dependency on the calculix-ccx update: they are actually independent but it's better to update them both.
Comment 4 Pedro F. Giffuni freebsd_committer 2018-12-19 00:11:14 UTC
Created attachment 200246 [details]
Update Calculix to 2.15

Oops ... wrong patch
Comment 5 kunda 2019-01-06 10:44:28 UTC
Is there a CI that tests these patches ?
Comment 6 Pedro F. Giffuni freebsd_committer 2019-01-06 15:40:36 UTC
(In reply to kunda from comment #5)
Not that I know of.
Upstream broke ccx and I am waiting for them to fix it before I continue to work on the port.
Comment 7 kunda 2019-01-29 15:13:14 UTC
Should bugg #234146 be closed in favor of this ticket ?
Comment 8 Pedro F. Giffuni freebsd_committer 2019-01-29 15:38:22 UTC
(In reply to kunda from comment #7)
No. calculix-ccx is the solver. calculix is the graphic interface.
Comment 9 Pedro F. Giffuni freebsd_committer 2019-02-11 19:41:27 UTC
I did my part already so it doesn't make sense to assign it to me.

Back to the pool: I maintain my port but this still requires a ports committer to either approve or commit.
Comment 10 Tobias C. Berner freebsd_committer 2019-02-17 08:07:45 UTC
Moin moin

It seems the distfile changed in the meantime:

=> Attempting to fetch http://www.dhondt.de/cgx_2.15.all.tar.bz2
fetch: http://www.dhondt.de/cgx_2.15.all.tar.bz2: size mismatch: expected 5428937, actual 5467670


mfg Tobias
Comment 11 Tobias C. Berner freebsd_committer 2019-02-23 08:27:20 UTC
(In reply to Tobias C. Berner from comment #10)
ping?
Comment 12 kunda 2019-03-07 00:13:47 UTC
Any progress?
Comment 13 Tobias C. Berner freebsd_committer 2019-03-07 05:08:33 UTC
(In reply to kunda from comment #12)
nope, I'm still waiting on a response what the actual distfile should be :)
Comment 14 kunda 2019-04-08 12:47:21 UTC
soft bump
Comment 15 Pedro F. Giffuni freebsd_committer 2019-04-17 20:06:16 UTC
Grab now that I am a ports committer.
Comment 16 Pedro F. Giffuni freebsd_committer 2019-04-19 17:05:27 UTC
Created attachment 203804 [details]
Update Calculix to 2.15
Comment 17 commit-hook freebsd_committer 2019-04-19 17:17:02 UTC
A commit references this bug:

Author: pfg
Date: Fri Apr 19 17:16:36 UTC 2019
New revision: 499378
URL: https://svnweb.freebsd.org/changeset/ports/499378

Log:
  cad/calculix: Update to 2.15.

  CalculiX GraphiX changelog:
  	http://www.dhondt.de/new_calc.htm
  Save from deprecation.

  PR:		234131
  Approved by:	thierry (mentor)

Changes:
  head/cad/calculix/Makefile
  head/cad/calculix/distinfo
  head/cad/calculix/files/patch-cgx__VER_src_Makefile
  head/cad/calculix/files/patch-cgx__VER_src_cgx.h
  head/cad/calculix/files/patch-cgx__VER_src_extUtil.h
  head/cad/calculix/files/patch-cgx__VER_src_uselibSNL.cpp
  head/cad/calculix/pkg-plist